opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::FeatureEvaluator Class Reference

`#include <objdetect.hpp>`

## Public Types
enum | { HAAR = 0, LBP = 1 }

## Public Member Functions
virtual int | calcCat (int featureIdx) const
virtual double | calcOrd (int featureIdx) const
virtual Ptr< FeatureEvaluator > | clone () const
virtual int | getFeatureType () const
virtual bool | read (const FileNode &node)
virtual bool | setImage (const Mat &, Size origWinSize)
virtual bool | setWindow (Point p)
virtual | ~FeatureEvaluator ()

## Static Public Member Functions
static Ptr< FeatureEvaluator > | create (int type)

## Member Enumeration Documentation

anonymous enum

Enumerator:

  HAAR |
  LBP |

## Constructor & Destructor Documentation

virtual cv::FeatureEvaluator::~FeatureEvaluator | ( |  | ) |
| virtual

## Member Function Documentation

virtual int cv::FeatureEvaluator::calcCat | ( | int | featureIdx | ) | const
| virtual

virtual double cv::FeatureEvaluator::calcOrd | ( | int | featureIdx | ) | const
| virtual

virtual Ptr<FeatureEvaluator> cv::FeatureEvaluator::clone | ( |  | ) | const
| virtual

static Ptr<FeatureEvaluator> cv::FeatureEvaluator::create | ( | int | type | ) |
| static

virtual int cv::FeatureEvaluator::getFeatureType | ( |  | ) | const
| virtual

virtual bool cv::FeatureEvaluator::read | ( | const FileNode & | node | ) |
| virtual

virtual bool cv::FeatureEvaluator::setImage | ( | const Mat & | ,
|  | Size | origWinSize
| ) |  |
| virtual

virtual bool cv::FeatureEvaluator::setWindow | ( | Point | p | ) |
| virtual

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/objdetect/include/opencv2/objdetect/objdetect.hpp